﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace iControl
{
	public class PlaylistItem
	{
		public string TrackName { get; set; }
		public string ArtistName { get; set; }
		public string AlbumName { get; set; }
		public int Rating { get; set; }
        public bool IsNowPlaying
        {
            get
            {
                return Controller.DefaultInstance.IsNowPlaying(this);
            }
        }

		public override string ToString()
		{
			return string.Format("{0}: {1} - {2}", ArtistName, AlbumName, TrackName);
		}
	}
}
